import { OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { ActivatedRoute, Router } from '@angular/router';
import { MenuItem } from 'primeng/api';
import { PortalUIService } from '../../../services/portal-ui.service';
import * as i0 from "@angular/core";
export declare class SubMenuComponent implements OnInit {
    router: Router;
    private activeRoute;
    uiConfig: PortalUIService;
    private sanitizer;
    item: MenuItem;
    index: number;
    root: boolean;
    parentKey: string | undefined;
    active: boolean;
    type: 'parent' | 'routerLink' | 'href' | 'command' | 'label';
    constructor(router: Router, activeRoute: ActivatedRoute, uiConfig: PortalUIService, sanitizer: DomSanitizer);
    ngOnInit(): void;
    sanitize(url?: string): import("@angular/platform-browser").SafeUrl | undefined;
    updateActiveStateFromRoute(): void;
    getItemType(item: MenuItem): 'parent' | 'routerLink' | 'href' | 'command' | 'label';
    isSelfOrChildActive(item: MenuItem): boolean;
    itemClick(event: Event): void;
    onMouseEnter(): void;
    removeActiveInk(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SubMenuComponent, "ocx-submenu", never, { "item": { "alias": "item"; "required": false; }; "index": { "alias": "index"; "required": false; }; "root": { "alias": "root"; "required": false; }; "parentKey": { "alias": "parentKey"; "required": false; }; }, {}, never, never, false, never>;
}
